uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture1;

uniform  lowp vec4 color;

varying  highp vec2 textureCoordinate;
varying  highp vec2 textureCoordinate1;

void main()
{
     lowp float alpha = color.r < 0.5 ? texture2D(inputImageTexture1, textureCoordinate1).r : texture2D(inputImageTexture1, textureCoordinate1).a;
     lowp float mask = color.a;
     lowp float mmask = 1.0 - mask;
    
     lowp vec4 src = texture2D(inputImageTexture, textureCoordinate);
    
    gl_FragColor = mask * alpha * src + mmask * src;
}