uniform sampler2D inputImageTexture;
uniform lowp vec4 color;

varying highp vec2 textureCoordinate;
varying lowp vec4 vertexColor;

void main()
{
    gl_FragColor = vertexColor * vec4(vec3(1.0), texture2D(inputImageTexture, textureCoordinate).a) * color;
}