uniform sampler2D inputImageTexture;
uniform lowp vec4 color;

varying highp vec2 textureCoordinate;
varying lowp vec4 vertexColor;

void main()
{
    /*
    lowp float vertexAlpha = floor(255.0 * vertexColor.a + 0.5);
    lowp float textureAlpha = floor(255.0 * texture2D(inputImageTexture, textureCoordinate).a + 0.5);
    lowp float colorAlpha = floor(255.0 * color.a + 0.5);
    
    lowp float alpha255 = floor(vertexAlpha * textureAlpha * colorAlpha / 65025.0 + 0.5);
    
    if (alpha255 <= 1.0)
    {
        gl_FragColor = vec4(0.0);
    }
    else
    {
        lowp vec3 vertexColor255 = floor(255.0 * vertexColor.rgb + vec3(0.5));
        lowp vec3 color255 = floor(255.0 * color.rgb + vec3(0.5));
        
        color255 = floor(color255 * vertexColor255 / 255.0 + vec3(0.5));
        
        gl_FragColor = floor(alpha255 * vec4(color255, 255.0) / 255.0 + 0.5) / 255.0;
    }
    */
    gl_FragColor = vertexColor.a * texture2D(inputImageTexture, textureCoordinate).a * color.a * vec4(color.rgb * vertexColor.rgb, 1.0);
}