uniform  highp mat4 projection;
uniform  highp mat4 modelView;

attribute  highp vec4 position;
attribute  lowp vec4 texCoord;
attribute  lowp vec4 colorPointer;

varying  highp vec2 textureCoordinate;
varying  lowp vec4 vertexColor;

void main()
{
	gl_Position = (projection * modelView) * position;
	textureCoordinate = texCoord.st;
    vertexColor = colorPointer.rgba;
}
