uniform  highp mat4 projection;
uniform  highp mat4 modelView;
uniform  lowp vec4 color1;

attribute  highp vec4 position;
attribute  lowp vec4 texCoord;

varying  highp vec2 textureCoordinate0;
varying  highp vec2 textureCoordinate1;
varying  highp vec2 textureCoordinate2;
varying  highp vec2 textureCoordinate3;
varying  highp vec2 textureCoordinate4;
varying  highp vec2 textureCoordinate5;
varying  highp vec2 textureCoordinate6;
varying  highp vec2 textureCoordinate7;
varying  highp vec2 textureCoordinate8;


void main()
{
	gl_Position = (projection * modelView) * position;
    
    textureCoordinate0 = vec2(texCoord.s - color1.s, texCoord.t - color1.t);
    textureCoordinate1 = vec2(texCoord.s - color1.s, texCoord.t);
    textureCoordinate2 = vec2(texCoord.s - color1.s, texCoord.t + color1.t);
    textureCoordinate3 = vec2(texCoord.s, texCoord.t - color1.t);
    textureCoordinate4 = texCoord.st;
    textureCoordinate5 = vec2(texCoord.s, texCoord.t + color1.t);
    textureCoordinate6 = vec2(texCoord.s + color1.s, texCoord.t - color1.t);
    textureCoordinate7 = vec2(texCoord.s + color1.s, texCoord.t);
    textureCoordinate8 = vec2(texCoord.s + color1.s, texCoord.t + color1.t);
}
