uniform  highp vec4 color;

const mediump float scl = 150.; // how many ants
lowp float speed = 5.;  // how fast they scroll
lowp float smoothing = .2;  // smoothing at the tips of each dash

void main()
{
    lowp vec2 u = (gl_FragCoord.xy + gl_FragCoord.xy - color.xy) / color.y;
    lowp float c = sin(scl * (u.x + u.y) + speed * color.z);
    c = 1. - smoothstep(-smoothing,smoothing,c);
    
    gl_FragColor = vec4(vec3(c), 1.0);
}
