uniform  highp mat4 projection;
uniform  highp mat4 modelView;

attribute  highp vec4 position;
attribute  lowp vec4 texCoord;
attribute  lowp vec4 texCoord1;
attribute  lowp vec4 colorPointer;
attribute  lowp vec4 colorPointer1;

varying  highp vec2 textureCoordinate;
varying  highp vec2 textureCoordinate1;
varying  lowp vec4 vertexColor;
varying  lowp float textureBlendFactor;

void main()
{
	gl_Position = (projection * modelView) * position;
	textureCoordinate = texCoord.st;
    textureCoordinate1 = texCoord1.st;
    vertexColor = colorPointer.rgba;
    textureBlendFactor = colorPointer1[0];
}
