uniform  highp mat4 projection;
uniform  highp mat4 modelView;

attribute  highp vec4 position;
attribute  lowp vec4 texCoord;

varying  highp vec2 textureCoordinate;

void main()
{
	gl_Position = (projection * modelView) * position;
	textureCoordinate = texCoord.st;
}
