uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture1;

varying  highp vec2 textureCoordinate;

void main()
{
     lowp float alpha = texture2D(inputImageTexture1, textureCoordinate).a;
     lowp float malpha = 1.0 - alpha;
    
     lowp vec4 dst = texture2D(inputImageTexture, textureCoordinate);
    
    gl_FragColor = vec4(alpha * (dst.rgb * dst.rgb) + malpha * dst.rgb, dst.a);
}