uniform  highp mat4 projection;
uniform  highp mat4 modelView;

attribute  highp vec4 position;
attribute  lowp vec4 texCoord;
attribute  lowp vec4 texCoord1;
attribute  lowp vec4 texCoord2;
attribute  lowp vec4 texCoord3;
attribute  lowp vec4 texCoord4;

varying  highp vec2 textureCoordinate;
varying  highp vec2 textureCoordinate1;
varying  highp vec2 textureCoordinate2;
varying  highp vec2 textureCoordinate3;
varying  highp vec2 textureCoordinate4;

void main()
{
	gl_Position = (projection * modelView) * position;
    
	textureCoordinate = texCoord.st;
    textureCoordinate1 = texCoord1.st;
    textureCoordinate2 = texCoord2.st;
    textureCoordinate3 = texCoord3.st;
    textureCoordinate4 = texCoord4.st;
}
