uniform sampler2D inputImageTexture;
uniform highp vec4 color;

varying highp vec4 coordinates;
varying highp vec4 kernel0;
varying highp vec4 kernel1;
varying highp vec4 kernel2;
varying highp vec4 kernel3;
varying highp vec4 kernel4;
varying highp vec4 kernel5;
varying highp vec4 kernel6;

void main()
{
    highp vec4 sum =
    kernel0.x * texture2D(inputImageTexture, coordinates.st)
    +   kernel0.y * (texture2D(inputImageTexture, coordinates.st + coordinates.pq) + texture2D(inputImageTexture, coordinates.st - coordinates.pq))
    +   kernel0.z * (texture2D(inputImageTexture, coordinates.st + 2.0 * coordinates.pq) + texture2D(inputImageTexture, coordinates.st - 2.0 * coordinates.pq))
    +   kernel0.w * (texture2D(inputImageTexture, coordinates.st + 3.0 * coordinates.pq) + texture2D(inputImageTexture, coordinates.st - 3.0 * coordinates.pq))
    +   kernel1.x * (texture2D(inputImageTexture, coordinates.st + 4.0 * coordinates.pq) + texture2D(inputImageTexture, coordinates.st - 4.0 * coordinates.pq))
    +   kernel1.y * (texture2D(inputImageTexture, coordinates.st + 5.0 * coordinates.pq) + texture2D(inputImageTexture, coordinates.st - 5.0 * coordinates.pq))
    +   kernel1.z * (texture2D(inputImageTexture, coordinates.st + 6.0 * coordinates.pq) + texture2D(inputImageTexture, coordinates.st - 6.0 * coordinates.pq))
    +   kernel1.w * (texture2D(inputImageTexture, coordinates.st + 7.0 * coordinates.pq) + texture2D(inputImageTexture, coordinates.st - 7.0 * coordinates.pq))
    +   kernel2.x * (texture2D(inputImageTexture, coordinates.st + 8.0 * coordinates.pq) + texture2D(inputImageTexture, coordinates.st - 8.0 * coordinates.pq))
    +   kernel2.y * (texture2D(inputImageTexture, coordinates.st + 9.0 * coordinates.pq) + texture2D(inputImageTexture, coordinates.st - 9.0 * coordinates.pq))
    +   kernel2.z * (texture2D(inputImageTexture, coordinates.st + 10.0 * coordinates.pq) + texture2D(inputImageTexture, coordinates.st - 10.0 * coordinates.pq))
    +   kernel2.w * (texture2D(inputImageTexture, coordinates.st + 11.0 * coordinates.pq) + texture2D(inputImageTexture, coordinates.st - 11.0 * coordinates.pq))
    +   kernel3.x * (texture2D(inputImageTexture, coordinates.st + 12.0 * coordinates.pq) + texture2D(inputImageTexture, coordinates.st - 12.0 * coordinates.pq))
    +   kernel3.y * (texture2D(inputImageTexture, coordinates.st + 13.0 * coordinates.pq) + texture2D(inputImageTexture, coordinates.st - 13.0 * coordinates.pq))
    +   kernel3.z * (texture2D(inputImageTexture, coordinates.st + 14.0 * coordinates.pq) + texture2D(inputImageTexture, coordinates.st - 14.0 * coordinates.pq))
    +   kernel3.w * (texture2D(inputImageTexture, coordinates.st + 15.0 * coordinates.pq) + texture2D(inputImageTexture, coordinates.st - 15.0 * coordinates.pq))
    +   kernel4.x * (texture2D(inputImageTexture, coordinates.st + 16.0 * coordinates.pq) + texture2D(inputImageTexture, coordinates.st - 16.0 * coordinates.pq))
    +   kernel4.y * (texture2D(inputImageTexture, coordinates.st + 17.0 * coordinates.pq) + texture2D(inputImageTexture, coordinates.st - 17.0 * coordinates.pq))
    +   kernel4.z * (texture2D(inputImageTexture, coordinates.st + 18.0 * coordinates.pq) + texture2D(inputImageTexture, coordinates.st - 18.0 * coordinates.pq))
    +   kernel4.w * (texture2D(inputImageTexture, coordinates.st + 19.0 * coordinates.pq) + texture2D(inputImageTexture, coordinates.st - 19.0 * coordinates.pq))
    +   kernel5.x * (texture2D(inputImageTexture, coordinates.st + 20.0 * coordinates.pq) + texture2D(inputImageTexture, coordinates.st - 20.0 * coordinates.pq))
    +   kernel5.y * (texture2D(inputImageTexture, coordinates.st + 21.0 * coordinates.pq) + texture2D(inputImageTexture, coordinates.st - 21.0 * coordinates.pq))
    +   kernel5.z * (texture2D(inputImageTexture, coordinates.st + 22.0 * coordinates.pq) + texture2D(inputImageTexture, coordinates.st - 22.0 * coordinates.pq))
    +   kernel5.w * (texture2D(inputImageTexture, coordinates.st + 23.0 * coordinates.pq) + texture2D(inputImageTexture, coordinates.st - 23.0 * coordinates.pq))
    +   kernel6.x * (texture2D(inputImageTexture, coordinates.st + 24.0 * coordinates.pq) + texture2D(inputImageTexture, coordinates.st - 24.0 * coordinates.pq))
    +   kernel6.y * (texture2D(inputImageTexture, coordinates.st + 25.0 * coordinates.pq) + texture2D(inputImageTexture, coordinates.st - 25.0 * coordinates.pq))
    +   kernel6.z * (texture2D(inputImageTexture, coordinates.st + 26.0 * coordinates.pq) + texture2D(inputImageTexture, coordinates.st - 26.0 * coordinates.pq))
    +   kernel6.w * (texture2D(inputImageTexture, coordinates.st + 27.0 * coordinates.pq) + texture2D(inputImageTexture, coordinates.st - 27.0 * coordinates.pq));
    
    gl_FragColor = color * clamp(sum, 0.0, 1.0);
}
